### Method

# Gimp ValueArray copy

since: 3.0

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_copy (
      const GimpValueArray* value_array
    )

#### Description [src]

Return an exact copy of a `GimpValueArray` by duplicating all its values.

Available since: 3.0

#### Return value

Type: `GimpValueArray`

A newly allocated `GimpValueArray`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.